/*******************************************************************************

FILE:           RIG.h

TYPE:           C/C++ header file

PLATFORMS:      Win32

DESCRIPTION:    RIG is a project independent interface for random integer
                generation. This file contains declarations of data types and
                functions used with RIG.

COPYRIGHT:      (c) 2002-2004 Francesco Trotta

VERSION:        1.1

*******************************************************************************/

#ifdef __cplusplus
extern "C" {
#endif // #ifdef __cplusplus

#ifndef _RIG_H__1359__INCLUDED_
#define _RIG_H__1359__INCLUDED_

typedef union tagRIG_REG {
    struct {
        unsigned long L1, L2;
    } Loops;
    unsigned __int64 I64;
} RIG_REG;

unsigned long GRIG_Next(unsigned long max);
void GRIG_Randomize(void);
RIG_REG *__cdecl RIG_Cycle(RIG_REG *preg);
unsigned long __cdecl RIG_Next(RIG_REG *preg, unsigned long max);
RIG_REG *RIG_Randomize(RIG_REG *preg, const void *pseed);

#ifdef __cplusplus
}
#endif // #ifdef __cplusplus

#endif // #ifndef _RIG_H__1359__INCLUDED_
